Skip to main content
PUT
/
ai-agents
/
tools
/
{name}
Update Tool
curl --request PUT \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/tools/{name} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "displayName": "Get Weather",
  "executionText": "Fetching weather data...",
  "name": "get_weather",
  "description": "Fetches current weather data for a given location",
  "doNotExecute": false
}
'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/tools/{name}"

payload = {
"displayName": "Get Weather",
"executionText": "Fetching weather data...",
"name": "get_weather",
"description": "Fetches current weather data for a given location",
"doNotExecute": False
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: 'Get Weather',
executionText: 'Fetching weather data...',
name: 'get_weather',
description: 'Fetches current weather data for a given location',
doNotExecute: false
})
};

fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/tools/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_id": "myapp_myTool",
  "appId": "my-app-id",
  "name": "myTool",
  "type": "action",
  "displayName": "My Tool",
  "executionText": "Running my tool...",
  "doNotExecute": false,
  "tool": {
    "name": "myTool",
    "description": "A helpful tool",
    "parameters": {
      "type": "object",
      "properties": {},
      "required": []
    }
  },
  "createdAt": 123,
  "updatedAt": 123
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

name
string
required

Body

application/json
displayName
string
required

Display name shown in the UI for this tool

Example:

"Get Weather"

executionText
string
required

Text displayed while the tool is executing

Example:

"Fetching weather data..."

name
string
required

Unique function name for the tool. Must start with a letter, underscore, or dollar sign, followed by alphanumeric characters, underscores, dollar signs, or hyphens.

Pattern: ^[a-zA-Z_$][a-zA-Z0-9_$-]*$
Example:

"get_weather"

description
string

Description of what the tool does. Required when doNotExecute is false.

Example:

"Fetches current weather data for a given location"

doNotExecute
boolean
default:false

When true, the tool will not be executed locally and parameters/description become optional

parameters
object

Tool parameter definitions. Required when doNotExecute is false, but can be an empty object. Must be empty or omitted when doNotExecute is true.

Response

200 - application/json

Tool updated successfully

_id
string
Example:

"myapp_myTool"

appId
string
Example:

"my-app-id"

name
string
Example:

"myTool"

type
enum<string>
Available options:
action,
tool
Example:

"action"

displayName
string
Example:

"My Tool"

executionText
string
Example:

"Running my tool..."

doNotExecute
boolean
Example:

false

tool
object
createdAt
integer<date-time>
updatedAt
integer<date-time>